//----------------------------------------------------------------------
// Titel     : Seriell Logger
//----------------------------------------------------------------------
// Sprache   : C
// Datum     : 15.Juni.2010
// IDE       : wxDev
//----------------------------------------------------------------------
#include <stdio.h>
#include <windows.h>
#include "com.h"

int main(int argc, char* argv[])
{   
    //Serielle Schnittstelle ffnen
    HANDLE hComm= CreateFile("Com1",
           GENERIC_READ | GENERIC_WRITE,
           0,
           NULL,   
           OPEN_EXISTING,
           FILE_ATTRIBUTE_NORMAL,
           NULL);           
    ini_com( 9600 , &hComm);  
    
    //Datei zum reinschreiben erstellen
    FILE *fdatei= fopen("Datei.txt","w");
    if(fdatei == NULL) 
    {
          MessageBox(NULL,"Fehler beim erstellen der Datei.","Fehler!", MB_ICONEXCLAMATION | MB_SETFOREGROUND | MB_OK); 
          exit(1);
    }     
   
    char eingabe=0, com_inputc;   
    while(1)
    {
        if(kbhit()) //wenn eine Taste gedrckt wurde...
        {
            eingabe=getch();
            switch(eingabe)
            {
                case 27:     //wenn ESC gedrckt wurde...
                    CloseHandle(hComm);
                    fclose(fdatei);
                    exit(0);
                default:
                    com_putc(eingabe, &hComm);  //sende das eingegebene Zeichen
                    break;                      
            }
            eingabe=0;  
        }

        if( com_getc(&com_inputc, hComm) == TRUE)   //Serielle Schnittstelle nach neuen Zeichen abfragen
        {
            printf("%c", com_inputc);           //das Empfangene Zeichen in der Konsole ausgeben
            fprintf( fdatei, "%c", com_inputc); //das Empfangene Zeichen in die Datei schreiben
        }
    }
    
    return 0;  
}










